.login {
  &__container {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;

    background-color: white;
  }

  &__header {
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 40px 0;
    margin-bottom: 10px;
    border-bottom: 1px solid black;

    &--logo {
      font-size: 30px;
      font-weight: 500;
    }
  }

  &__body {
    position: relative;
    height: 500px;
    width: 500px;

    display: flex;
    flex-direction: column;
    align-items: center;

    //background-color: #48ACF0;
    background-color: #007EA7;
    color: white;
  }

  &__content {
    position: relative;
    margin-bottom: 20px;

    &--input {
      background-color: white;
      color: black;
      border-radius: 8px;
      border: 1px solid black;

      &.error {
        border: 1px solid #fa3131;
        color: #fa3131;
      }
    }

    &--info {
      font-size: 18px;
      margin: 15px 0 20px 0;
    }

    &--login-btn {
      width: 100%;
      background-color: #003249;
      color: white;
      margin-top: 10px;

      &:disabled {
        background-color: #888888;
        color: white;
        cursor: not-allowed;
      }
    }

    &--error {
      color: #fa3131;
    }
  }

  &__input-container {
    display: flex;
    flex-direction: column;

    margin-bottom: 10px;
  }

  &__credentials {
    position: absolute;
    bottom: 0;
    margin: auto;
  }
}